# ModifyCmd Struct Reference

Structure for one parsed modification command. More...

`#include <exiv2.hpp>`

List of all members.

## Public Member Functions

| ModifyCmd ()
| C'tor.

## Public Attributes

CmdId | cmdId_
| Command identifier.
std::string | key_
| Exiv2 key string.
MetadataId | metadataId_
| Metadata identifier.
Exiv2::TypeId | typeId_
bool | explicitType_
| Flag to indicate if the type was explicitely specified (true).
std::string | value_
| Data.

## Detailed Description

Structure for one parsed modification command.

## Member Data Documentation

Exiv2::TypeId ModifyCmd::typeId_

| Exiv2 type identifier

The documentation for this struct was generated from the following file:

- exiv2.hpp